Compatible Devices

In general, any iPads, iPhones, and iPod Touches that can be updated to use Apple's latest iOS release are compatible with Switcher Studio, but we know that it is helpful to have a list when shopping for new devices. 

Your devices must run on iOS 12 for full functionality and best results. All iOS 11 devices can upgrade to iOS 12, so take a moment to make this upgrade.

Switcher Studio can be installed onto iOS 10 devices, but the results are often poor.

Switcher Studio cannot be installed onto iOS 9 and below.

Here are the compatible iOS devices by category that can be used with the latest version of Switcher Studio and Switcher Go!

Compatible iPads

  • 12.9-inch iPad Pro (2nd generation)
  • 12.9-inch iPad Pro (1st generation)
  • 10.5-inch iPad Pro
  • 9.7-inch iPad Pro
  • iPad Air 2
  • iPad Air
  • iPad (6th generation)
  • iPad (5th generation)
  • iPad mini 4
  • iPad mini 3
  • iPad mini 2

Compatible iPhones

  • iPhone XS Max
  • iPhone XS
  • iPhone XR
  • iPhone X
  • iPhone 8+
  • iPhone 8
  • iPhone 7+
  • iPhone 7
  • iPhone 6S+
  • iPhone 6S
  • iPhone 6+
  • iPhone 6
  • iPhone 5S
  • iPhone SE

Compatible iPods

  • iPod touch 6th generation

Compatible Macs (For Use With SwitcherCast ONLY)

  • Mac Pro: Mid 2010 or newer

  • Mac Mini: Mid 2010 or newer

  • MacBook Air: Late 2010 or newer

  • MacBook Pro: Mid 2010 or newer

  • MacBook and MacBook Retina: Late 2009 or newer

  • iMac: Late 2009 or newer

Compatible PCs (For Use With SwitcherCast ONLY)

  • Windows 10

**Older iOS devices may work with Switcher Studio's services, but the video quality may not perform as expected and some features may be inaccessible.**

Still need help? Contact Us Contact Us